#
# spec file for package lsb
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           lsb
BuildRequires:  glibc-devel-32bit glibc-32bit
Summary:        Linux Standard Base Core
License:        GPL-2.0+
Group:          System/Fhs
Version:        4.0
Release:        lp150.2.1
Obsoletes:      lsb-desktop
BuildRequires:  openSUSE-release
Requires:       /bin/cat
Requires:       /bin/chgrp
Requires:       /bin/chmod
Requires:       /bin/chown
Requires:       /bin/cp
Requires:       /bin/dd
Requires:       /bin/df
Requires:       /bin/echo
Requires:       /bin/ed
Requires:       /bin/false
Requires:       /bin/fuser
Requires:       /bin/hostname
Requires:       /bin/kill
Requires:       /bin/ln
Requires:       /bin/logger
Requires:       /bin/ls
Requires:       /bin/mkdir
Requires:       /bin/mknod
Requires:       /bin/more
Requires:       /bin/mount
Requires:       /bin/mv
Requires:       /bin/ps
Requires:       /bin/pwd
Requires:       /bin/rm
Requires:       /bin/rmdir
Requires:       /bin/sed
Requires:       /bin/sh
Requires:       /bin/sleep
Requires:       /bin/sort
Requires:       /bin/stty
Requires:       /bin/su
Requires:       /bin/sync
Requires:       /bin/tar
Requires:       /bin/touch
Requires:       /bin/true
Requires:       /bin/umount
Requires:       /bin/uname
Requires:       /sbin/pidof
Requires:       /sbin/shutdown
Requires:       /usr/bin/ar
Requires:       /usr/bin/at
Requires:       /usr/bin/awk
Requires:       /usr/bin/basename
Requires:       /usr/bin/batch
Requires:       /usr/bin/bc
Requires:       /usr/bin/chfn
Requires:       /usr/bin/chsh
Requires:       /usr/bin/cksum
Requires:       /usr/bin/cmp
Requires:       /usr/bin/col
Requires:       /usr/bin/comm
Requires:       /usr/bin/crontab
Requires:       /usr/bin/csplit
Requires:       /usr/bin/cut
Requires:       /usr/bin/diff
Requires:       /usr/bin/dirname
Requires:       /usr/bin/du
Requires:       /usr/bin/env
Requires:       /usr/bin/expand
Requires:       /usr/bin/expr
Requires:       /usr/bin/file
Requires:       /usr/bin/find
Requires:       /usr/bin/fold
Requires:       /usr/bin/foomatic-rip
Requires:       /usr/bin/gencat
Requires:       /usr/bin/getconf
Requires:       /usr/bin/gettext
Requires:       /usr/bin/groups
Requires:       /usr/bin/gs
Requires:       /usr/bin/head
Requires:       /usr/bin/iconv
Requires:       /usr/bin/id
Requires:       /usr/bin/install
Requires:       /usr/bin/ipcrm
Requires:       /usr/bin/ipcs
Requires:       /usr/bin/join
Requires:       /usr/bin/killall
Requires:       /usr/bin/locale
Requires:       /usr/bin/localedef
Requires:       /usr/bin/logname
Requires:       /usr/bin/lp
Requires:       /usr/bin/lpr
Requires:       /usr/bin/m4
Requires:       /usr/bin/mailx
Requires:       /usr/bin/make
Requires:       /usr/bin/man
Requires:       /usr/bin/md5sum
Requires:       /usr/bin/mkfifo
Requires:       /usr/bin/msgfmt
Requires:       /usr/bin/newgrp
Requires:       /usr/bin/nice
Requires:       /usr/bin/nl
Requires:       /usr/bin/nohup
Requires:       /usr/bin/od
Requires:       /usr/bin/passwd
Requires:       /usr/bin/paste
Requires:       /usr/bin/patch
Requires:       /usr/bin/pathchk
Requires:       /usr/bin/pr
Requires:       /usr/bin/printf
Requires:       /usr/bin/renice
Requires:       /usr/bin/rsync
Requires:       /usr/bin/split
Requires:       /usr/bin/strip
Requires:       /usr/bin/sum
Requires:       /usr/bin/tail
Requires:       /usr/bin/tee
Requires:       /usr/bin/test
Requires:       /usr/bin/time
Requires:       /usr/bin/tr
Requires:       /usr/bin/tsort
Requires:       /usr/bin/tty
Requires:       /usr/bin/unexpand
Requires:       /usr/bin/uniq
Requires:       /usr/bin/wc
Requires:       /usr/bin/xargs
Requires:       /usr/bin/xdg-desktop-icon
Requires:       /usr/bin/xdg-desktop-menu
Requires:       /usr/bin/xdg-email
Requires:       /usr/bin/xdg-icon-resource
Requires:       /usr/bin/xdg-mime
Requires:       /usr/bin/xdg-open
Requires:       /usr/bin/xdg-screensaver
Requires:       /usr/sbin/groupadd
Requires:       /usr/sbin/groupdel
Requires:       /usr/sbin/groupmod
Requires:       /usr/sbin/sendmail
Requires:       /usr/sbin/useradd
Requires:       /usr/sbin/userdel
Requires:       /usr/sbin/usermod
Requires:       cpio
Requires:       glibc-i18ndata
Requires:       grep
Requires:       gzip
Requires:       lsb-release
Requires:       pax
Obsoletes:      lsb-runtime
Provides:       lsb = 2.0
Provides:       lsb-core-noarch = 2.0
Provides:       lsb-core-noarch = 3.2
Provides:       lsb-core-noarch = 4.0
%ifarch %ix86
Provides:       lsb-core-ia32 = 2.0
Provides:       lsb-core-ia32 = 3.2
Provides:       lsb-core-ia32 = 4.0
%else
%ifarch x86_64
Provides:       lsb-core-amd64 = 2.0
Provides:       lsb-core-amd64 = 3.2
Provides:       lsb-core-amd64 = 4.0
Provides:       lsb-core-ia32 = 2.0
Provides:       lsb-core-ia32 = 3.2
Provides:       lsb-core-ia32 = 4.0
%else
%ifarch s390x
Provides:       lsb-core-s390 = 2.0
Provides:       lsb-core-s390 = 3.2
Provides:       lsb-core-s390 = 4.0
%endif
%ifarch ppc64 ppc
Provides:       lsb-core-ppc32 = 2.0
Provides:       lsb-core-ppc32 = 3.2
Provides:       lsb-core-ppc32 = 4.0
%ifarch ppc64
Provides:       lsb-core-ppc64 = 2.0
Provides:       lsb-core-ppc64 = 3.2
Provides:       lsb-core-ppc64 = 4.0
%endif
%else
Provides:       lsb-core-%{_target_cpu} = 2.0
Provides:       lsb-core-%{_target_cpu} = 3.2
Provides:       lsb-core-%{_target_cpu} = 4.0
%endif
%endif
%endif
Provides:       lsb-graphics-noarch = 2.0
Provides:       lsb-graphics-noarch = 3.2
Provides:       lsb-graphics-noarch = 4.0
%ifarch %ix86
Provides:       lsb-graphics-ia32 = 2.0
Provides:       lsb-graphics-ia32 = 3.2
Provides:       lsb-graphics-ia32 = 4.0
%else
%ifarch x86_64
Provides:       lsb-graphics-amd64 = 2.0
Provides:       lsb-graphics-amd64 = 3.2
Provides:       lsb-graphics-amd64 = 4.0
Provides:       lsb-graphics-ia32 = 2.0
Provides:       lsb-graphics-ia32 = 3.2
Provides:       lsb-graphics-ia32 = 4.0
%else
%ifarch s390x
Provides:       lsb-graphics-s390 = 2.0
Provides:       lsb-graphics-s390 = 3.2
Provides:       lsb-graphics-s390 = 4.0
%endif
%ifarch ppc64 ppc
Provides:       lsb-graphics-ppc32 = 2.0
Provides:       lsb-graphics-ppc32 = 3.2
Provides:       lsb-graphics-ppc32 = 4.0
%ifarch ppc64
Provides:       lsb-graphics-ppc64 = 2.0
Provides:       lsb-graphics-ppc64 = 3.2
Provides:       lsb-graphics-ppc64 = 4.0
%endif
%else
Provides:       lsb-graphics-%{_target_cpu} = 2.0
Provides:       lsb-graphics-%{_target_cpu} = 3.2
Provides:       lsb-graphics-%{_target_cpu} = 4.0
%endif
%endif
%endif
Requires:       Mesa
Requires:       Mesa-libGL1
Requires:       atk >= 1.10
Requires:       fontconfig
Requires:       glib2 >= 2.8
Requires:       gtk2 >= 2.8
Requires:       libGLU1
Requires:       libXt6
Requires:       libXtst6
Requires:       libasound2
Requires:       libjpeg62
Requires:       libpng12-0
Requires:       libqt4
Requires:       libqt4-sql
Requires:       libqt4-x11
Requires:       libxml2 >= 2.6.20
Requires:       mozilla-nss
Requires:       pango >= 1.10
Requires:       perl-base >= 5.8.8
Requires:       python >= 2.7.3
Prefix:         /usr
Url:            http://www.linuxbase.org/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Necessary files and dependencies for the Linux Standard Base (LSB)
Core.



%prep

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_lib}
mkdir -p $RPM_BUILD_ROOT/etc/lsb-release.d
echo -n "LSB_VERSION=\"core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:" > $RPM_BUILD_ROOT/etc/lsb-release
%ifarch %ix86
echo -n "core-2.0-ia32:core-3.2-ia32:core-4.0-ia32" >>  $RPM_BUILD_ROOT/etc/lsb-release
%else
echo -n "core-2.0-%{_target_cpu}:core-3.2-%{_target_cpu}:core-4.0-%{_target_cpu}" >>  $RPM_BUILD_ROOT/etc/lsb-release
%endif
echo "\"" >> $RPM_BUILD_ROOT/etc/lsb-release
%ifarch x86_64
mkdir -p $RPM_BUILD_ROOT/lib
ln -sf /lib64/ld-linux-x86-64.so.2 $RPM_BUILD_ROOT/lib64/ld-lsb-x86-64.so.2
ln -sf /lib64/ld-linux-x86-64.so.2 $RPM_BUILD_ROOT/lib64/ld-lsb-x86-64.so.3
%endif
%ifarch %ix86 x86_64
ln -sf /lib/ld-linux.so.2 $RPM_BUILD_ROOT/lib/ld-lsb.so.2
ln -sf /lib/ld-linux.so.2 $RPM_BUILD_ROOT/lib/ld-lsb.so.3
%endif
%ifarch ppc64
mkdir -p $RPM_BUILD_ROOT/lib
ln -s /lib64/ld64.so.1 $RPM_BUILD_ROOT/lib64/ld-lsb-ppc64.so.2
ln -s /lib64/ld64.so.1 $RPM_BUILD_ROOT/lib64/ld-lsb-ppc64.so.3
%endif
%ifarch ppc ppc64
ln -s /lib/ld.so.1            $RPM_BUILD_ROOT/lib/ld-lsb-ppc32.so.2
ln -s /lib/ld.so.1            $RPM_BUILD_ROOT/lib/ld-lsb-ppc32.so.3
%endif
%ifarch ia64
ln -s /lib/ld-linux-ia64.so.2 $RPM_BUILD_ROOT/lib/ld-lsb-ia64.so.2
ln -s /lib/ld-linux-ia64.so.2 $RPM_BUILD_ROOT/lib/ld-lsb-ia64.so.3
%endif
%ifarch s390x
mkdir -p $RPM_BUILD_ROOT/lib
ln -sf /lib64/ld64.so.1         $RPM_BUILD_ROOT/lib64/ld-lsb-s390x.so.2
ln -sf /lib64/ld64.so.1         $RPM_BUILD_ROOT/lib64/ld-lsb-s390x.so.3
%endif
%ifarch s390
ln -sf /lib/ld.so.1	      $RPM_BUILD_ROOT/lib/ld-lsb-s390.so.2
ln -sf /lib/ld.so.1           $RPM_BUILD_ROOT/lib/ld-lsb-s390.so.3
%endif
%ifarch sparc
ln -sf /lib/ld-linux.so.2      $RPM_BUILD_ROOT/lib/ld-lsb-sparc.so.2
ln -sf /lib/ld-linux.so.2      $RPM_BUILD_ROOT/lib/ld-lsb-sparc.so.3
%endif
# These platforms do not have a LSB, just add something to make it compile
%ifarch axp mips
ln -sf /lib/ld-linux.so.2      $RPM_BUILD_ROOT/lib/ld-lsb-%{_target_cpu}.so.2
ln -sf /lib/ld-linux.so.2      $RPM_BUILD_ROOT/lib/ld-lsb-%{_target_cpu}.so.3
%endif
mkdir -p $RPM_BUILD_ROOT/etc/lsb-release.d
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-2.0-noarch
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-3.2-noarch
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-%{version}-noarch
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-%{version}-noarch
%ifarch %ix86
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-2.0-ia32
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-3.2-ia32
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-%{version}-ia32
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-%{version}-ia32
%else
%ifarch x86_64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-2.0-amd64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-3.2-amd64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-%{version}-amd64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-%{version}-amd64
%else
%ifarch s390x
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-2.0-s390
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-3.2-s390
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-%{version}-s390
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-%{version}-s390
%endif
%ifarch ppc64 ppc
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-2.0-ppc32
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-3.2-ppc32
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-%{version}-ppc32
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-%{version}-ppc32
%ifarch ppc64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-2.0-ppc64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-3.2-ppc64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-%{version}-ppc64
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-%{version}-ppc64
%endif
%else
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-2.0-%{_target_cpu}
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-3.2-%{_target_cpu}
touch $RPM_BUILD_ROOT/etc/lsb-release.d/graphics-%{version}-%{_target_cpu}
touch $RPM_BUILD_ROOT/etc/lsb-release.d/desktop-%{version}-%{_target_cpu}
%endif
%endif
%endif

%files
%defattr(-,root,root)
%dir /etc/lsb-release.d
/etc/lsb-release.d/*
/etc/lsb-release
%ifarch %ix86 x86_64
/lib/ld-lsb.so.2
/lib/ld-lsb.so.3
%endif
%ifarch ppc ppc64
/lib/ld-lsb-ppc32.so.2
/lib/ld-lsb-ppc32.so.3
%endif
%ifarch x86_64
/lib64/ld-lsb-x86-64.so.2
/lib64/ld-lsb-x86-64.so.3
%endif
%ifarch s390
/lib/ld-lsb-s390.so.2
/lib/ld-lsb-s390.so.3
%endif
%ifarch ppc64 s390x ia64
/%{_lib}/ld-lsb-%{_target_cpu}.so.2
/%{_lib}/ld-lsb-%{_target_cpu}.so.3
%endif

%changelog
* Thu Mar 15 2018 dimstar@opensuse.org
- Drop the qt3 dependency: this is not really lsb(4) conform, but
  it's the 2nd best thing we can do short of keeping Qt3 in the
  products forever.
* Thu Aug 24 2017 idonmez@suse.com
- Fix missing double quote, unbreaks lsb_release
* Tue Aug 15 2017 kukuk@suse.de
- Revert change from Nov 18, 2015: copying the data from
  /etc/os-release to /etc/lsb-release does not work with a rolling
  release like Tumbleweed [bsc#960501]
* Tue Feb  7 2017 bg@suse.com
- Make package build on s390x
* Wed Nov 18 2015 jimmy@boombatower.com
- Set optional variables in /etc/lsb-release form /etc/os-release provided by openSUSE-release:
  - DISTRIB_ID
  - DISTRIB_RELEASE
  - DISTRIB_CODENAME
  - DISTRIB_DESCRIPTION
* Tue Oct  1 2013 pgajdos@suse.com
- require libpng12-0 instead of libpng12
* Thu Sep 26 2013 pgajdos@suse.com
- require [bnc#807747]
    /usr/bin/foomatic-rip
    /usr/bin/gs
    /usr/bin/xdg-desktop-icon
    /usr/bin/xdg-desktop-menu
    /usr/bin/xdg-email
    /usr/bin/xdg-icon-resource
    /usr/bin/xdg-mime
    /usr/bin/xdg-open
    /usr/bin/xdg-screensaver
    Mesa-libGL1
    libGLU1
    libXt6
    libXtst6
    libasound2
    libjpeg62
    libpng12
    libqt4
    libqt4-sql
    libqt4-x11
    mozilla-nss
* Thu Jul 19 2012 rmilasan@suse.com
- Updated "Requires: python >= 2.7.3", rear can't be installed
  otherwise, due to conflics.
* Mon Feb  7 2011 coolo@novell.com
- no need to buildrequire libstdc++
* Mon Jul 20 2009 kukuk@suse.de
- Split off lsb-release [bnc#483655]
* Wed Jan 14 2009 jdluhos@suse.cz
- Upgraded to LSB 4.0
* Sun Jul 29 2007 jdluhos@suse.cz
- Adapted to LSB 3.2
* Sat Jun 10 2006 kukuk@suse.de
- Merge back wth lsb-desktop and set version of provides to 3.0
* Thu May 18 2006 kukuk@suse.de
- Move lsb-graphics part to lsb-desktop
* Tue May 16 2006 kukuk@suse.de
- Bump version number for LSB 3.1
* Wed Apr 26 2006 ro@suse.de
- requires xorg-x11-Mesa -> Mesa
* Fri Feb 10 2006 kukuk@suse.de
- Remove obsolete insserv call
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov  2 2005 kukuk@suse.de
- Fix typo in Requires list
* Wed Nov  2 2005 kukuk@suse.de
- Add ed and mailx to requires [#131283]
* Fri Sep  9 2005 aj@suse.de
- s/target_arch/target_cpu/g; since the first is not defined
  [#115915].
* Thu Jun  9 2005 kukuk@suse.de
- Fix specfile to work on SLES9
* Thu Apr 14 2005 kukuk@suse.de
- Adjust to current LSB 3.0 draft
* Mon Feb 28 2005 kukuk@suse.de
- Remove makedev requirement and compatibility link
* Fri Jan  7 2005 kukuk@suse.de
- Fix provides on PPC32
* Wed Dec 15 2004 kukuk@suse.de
- Fix bi-arch provides on x86-64 and PPC64
* Mon Sep 13 2004 kukuk@suse.de
- Use "amd64" instead of "x86_64"
* Mon Sep  6 2004 kukuk@suse.de
- Fix macro names
* Tue Aug 31 2004 kukuk@suse.de
- Replace XFree86 -> xorg-x11
* Tue Jul 20 2004 kukuk@suse.de
- Implement LSB 2.0 requirements
* Mon May 24 2004 kukuk@suse.de
- Fix including of ld-lsb links on ppc64, s390x and x86-64
* Wed May  5 2004 kukuk@suse.de
- Rewrote handling of /etc/lsb-release and /etc/SuSE-release
* Thu Mar 25 2004 kukuk@suse.de
- Add X11 Libraries to Requires
* Wed Mar 24 2004 kukuk@suse.de
- Add init script to set NGROUPS_MAX LSB 1.3 conform
* Sat Mar 13 2004 kukuk@suse.de
- Fix requirements
* Wed Feb 25 2004 hmacht@suse.de
- building as nonroot-user
* Mon Sep  1 2003 kukuk@suse.de
- Use head -n 1 instead of head -1 [Bug #29624]
* Mon Jun 16 2003 kukuk@suse.de
- Make last change working
* Thu May 22 2003 meissner@suse.de
- on ppc64, include both ppc and ppc64 symlinks.
* Wed May 21 2003 kukuk@suse.de
- fix version number in release file
* Wed May  7 2003 kukuk@suse.de
- Change xdevel -> XFree86-devel
* Wed Apr 23 2003 aj@suse.de
- Add more missing ld-lsb-* links, create correct libdir.
* Thu Mar 20 2003 kukuk@suse.de
- Add missing ld-lsb-* links
* Tue Feb 25 2003 kukuk@suse.de
- Obsoletes lsb-runtime
* Wed Jan 15 2003 meissner@suse.de
- Changed ppc and ia6r4 ld.so symlinks to wanted look.
* Sat Jan 11 2003 kukuk@suse.de
- Add gettext to Requires for LSB 1.3
* Fri Jan 10 2003 kukuk@suse.de
- Don't require lsb-runtime, instead include symlink for ld-lsb
  for ix86
- Remove mh from requires
* Wed Oct 30 2002 meissner@suse.de
- Added support for ppc32. Specify symlink for ld-lsb.so.1 for ppc.
* Sat Jul 27 2002 kukuk@suse.de
- Check for UnitedLinux if no SuSE-release file found
* Fri Jul  5 2002 kukuk@suse.de
- Create LSB entry in etc/lsb-release
- Bump version number to 1.2
* Tue Mar  5 2002 kukuk@suse.de
- Remove ld-lsb.so.1 link
- Add requires for lsb-runtime
* Sun Feb 24 2002 kukuk@suse.de
- Add xdevel to requires
* Wed Feb  6 2002 kukuk@suse.de
- Add MAKEDEV compatibility link
* Sat Jan 19 2002 kukuk@suse.de
- Add glibc-i18ndata to requires to pass testsuite
- Increase version number to 1.1
* Fri Jan  4 2002 kukuk@suse.de
- Require all commands needed for LSB
* Fri Dec 14 2001 kukuk@suse.de
- Increase version number to 1.0
- Add pax to requires
* Tue Sep 18 2001 kukuk@suse.de
- Add expect to requires (not fixed in LSB-FHS 2.2)
* Wed Jan 17 2001 kukuk@suse.de
- Remove tclx from requires (should be fixed in FHS 2.2)
* Fri Jan 12 2001 kukuk@suse.de
- Add requires for FHS 2.1
- Update to lsb_release 1.4
* Mon Nov 27 2000 kukuk@suse.de
- Remove /etc/init.d symlink
* Wed Nov  1 2000 kukuk@suse.de
- Update to lsb_release 1.3
* Mon Sep 18 2000 kukuk@suse.de
- Initial version
